Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 454900

Summary: dev-php/libvirt-php-0.4.8 version bump and patches
Product: Gentoo Linux Reporter: Stefan Kuhn <wuodan-gentoo>
Component: [OLD] DevelopmentAssignee: Tiziano Müller (RETIRED) <dev-zero>
Status: RESOLVED FIXED    
Severity: enhancement CC: ablyler, php-bugs, wuodan-gentoo
Priority: Normal Keywords: PATCH
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: libvirt-php-0.4.7.ebuild
files/distros.html-0.4.7.patch
files/LDFLAGS-0.4.7.patch
files/libvirt_domain_migrate_to_uri2-0.4.7.patch
build.log
environment
info
pqv
files/set_error-0.4.7.patch
libvirt-php-0.4.7.ebuild
files/0.4.7-LDFLAGS.patch
files/0.4.7-distros.html.patch
files/0.4.7-libvirt_domain_migrate_to_uri2.patch
files/0.4.7-set_error.patch
libvirt-php-0.4.7.ebuild

Description Stefan Kuhn 2013-01-31 19:45:29 UTC
libvirt-php-0.4.7 was released on 2013-01-17, Gentoo might want to version bump it.

It has a small bug when verifying the documentation, so patch:
distros.html-0.4.7.patch
is really required (accepted upstreams).

libvirt_domain_migrate_to_uri2-0.4.7.patch:
adds the function libvirt_domain_migrate_to_uri2 (also accepted upstreams).
LDFLAGS-0.4.7.patch:
adds LDFLAGS to fix QA warning (sent upstreams).

Reproducible: Always
Comment 1 Stefan Kuhn 2013-01-31 19:46:33 UTC
Created attachment 337490 [details]
libvirt-php-0.4.7.ebuild
Comment 2 Stefan Kuhn 2013-01-31 19:47:47 UTC
Created attachment 337492 [details, diff]
files/distros.html-0.4.7.patch

libvirt-php-0.4.7 will fail at verifying docu without this!
Comment 3 Stefan Kuhn 2013-01-31 19:48:21 UTC
Created attachment 337494 [details, diff]
files/LDFLAGS-0.4.7.patch
Comment 4 Stefan Kuhn 2013-01-31 19:48:41 UTC
Created attachment 337496 [details, diff]
files/libvirt_domain_migrate_to_uri2-0.4.7.patch
Comment 5 Denis I. Polukarov 2013-02-01 08:03:53 UTC
Created attachment 337564 [details]
build.log
Comment 6 Denis I. Polukarov 2013-02-01 08:04:05 UTC
Created attachment 337566 [details]
environment
Comment 7 Denis I. Polukarov 2013-02-01 08:04:19 UTC
Created attachment 337568 [details]
info
Comment 8 Denis I. Polukarov 2013-02-01 08:04:31 UTC
Created attachment 337570 [details]
pqv
Comment 9 Denis I. Polukarov 2013-02-01 08:05:36 UTC
Build fail with same error in 0.4.5-6...
Comment 10 Stefan Kuhn 2013-02-01 15:10:11 UTC
Created attachment 337596 [details, diff]
files/set_error-0.4.7.patch

I've added a patch to this bug and the ebuild, plus posted it upstream.

@Denis
Oh well, thanks for hijacking my bug ;)
Please tell if this patch solves your problem, for it does not happen here!
Comment 11 Stefan Kuhn 2013-02-01 15:11:08 UTC
Created attachment 337598 [details]
libvirt-php-0.4.7.ebuild

added the set_error.patch
Comment 12 Stefan Kuhn 2013-02-04 09:46:55 UTC
Created attachment 337890 [details, diff]
files/0.4.7-LDFLAGS.patch

Put ${PV} at start of filename.
Also corrected usage of $(LIBS), thanks to Tiziano
Comment 13 Stefan Kuhn 2013-02-04 09:47:51 UTC
Created attachment 337892 [details, diff]
files/0.4.7-distros.html.patch

Put ${PV} at start of file name.
Comment 14 Stefan Kuhn 2013-02-04 09:49:10 UTC
Created attachment 337894 [details, diff]
files/0.4.7-libvirt_domain_migrate_to_uri2.patch

Put ${PV} at start of file name.
Comment 15 Stefan Kuhn 2013-02-04 09:49:44 UTC
Created attachment 337896 [details, diff]
files/0.4.7-set_error.patch

Put ${PV} at start of file name.
Comment 16 Stefan Kuhn 2013-02-04 09:50:47 UTC
Created attachment 337898 [details]
libvirt-php-0.4.7.ebuild

All patches have ${PV} at start of file name.
Comment 17 Denis I. Polukarov 2013-09-10 06:57:00 UTC
dev-php/libvirt-php-0.4.7 success build with: LDFLAGS.patch, set_error.patch
Comment 18 Andy Blyler 2014-09-03 21:34:30 UTC
libvirt-php 0.4.8 has been released now: http://libvirt.org/php/downloads.html

Also, can we get php 5.5 and 5.6 support added to this ebuild as well?
Comment 19 Brian Evans Gentoo Infrastructure gentoo-dev 2014-10-02 13:52:02 UTC
+*libvirt-php-0.4.8 (02 Oct 2014)
+
+  02 Oct 2014;  <grknight@gentoo.org> +libvirt-php-0.4.8.ebuild,
+  -libvirt-php-0.4.6.ebuild, -libvirt-php-0.4.7.ebuild, libvirt-php-9999.ebuild:
+  Version bump; Drop 5.3 support; Fix LICENSE to LGPL-2.1; Block automake-1.14
+  on live build